%bcond_with libnm_glib

Summary: NetworkManager VPN plugin for iodine
Name: NetworkManager-iodine
Version: 1.2.0
Release:    1%{?dist}
License: GPLv2+
URL: https://honk.sigxcpu.org/piki/projects/network-manager-iodine
Source0: https://download.gnome.org/sources/NetworkManager-iodine/1.2/%{name}-1.2.0.tar.xz

BuildRequires: make
BuildRequires: gcc
BuildRequires: gtk3-devel
BuildRequires: NetworkManager-libnm-devel >= 1.1.0
BuildRequires: glib2-devel
BuildRequires: libtool intltool gettext
BuildRequires: libnma-devel >= 1.1.0
BuildRequires: libsecret-devel
Requires: shared-mime-info
Requires: iodine-client
Requires: dbus-common
Requires: NetworkManager >= 1.2.0-0.3

%if %with libnm_glib
BuildRequires: NetworkManager-glib-devel >= 1.1.0
BuildRequires: libnm-gtk-devel >= 0.9.9.0
%endif

%global __provides_exclude ^libnm-.*\\.so

%description
This package contains software for integrating VPN capabilities with
the iodine server and NetworkManager.

%package -n NetworkManager-iodine-gnome
Summary: NetworkManager VPN plugin for iodine - GNOME files
Requires: %{name} = %{version}-%{release}
Requires: nm-connection-editor

%description -n NetworkManager-iodine-gnome
This package contains software for integrating VPN capabilities with
the iodine server and NetworkManager (GNOME files).

%prep
%setup -q

%build
%configure \
        --disable-static \
%if %without libnm_glib
        --without-libnm-glib \
%endif
        --enable-more-warnings=yes
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
mkdir -p %{buildroot}%{_prefix}/lib/NetworkManager/VPN
%{__cp} -p ./nm-iodine-service.name %{buildroot}%{_prefix}/lib/NetworkManager/VPN/

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

mv %{buildroot}%{_sysconfdir}/dbus-1 %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/dbus-1/system.d/nm-iodine-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-iodine-service.name
%{_libexecdir}/nm-iodine-service
%{_libexecdir}/nm-iodine-auth-dialog
%doc AUTHORS NEWS
%license COPYING

%files -n NetworkManager-iodine-gnome
%{_libdir}/NetworkManager/lib*.so*
%dir %{_datadir}/gnome-vpn-properties/iodine
%{_datadir}/gnome-vpn-properties/iodine/nm-iodine-dialog.ui
%{_datadir}/appdata/network-manager-iodine.appdata.xml

%if %with libnm_glib
%{_sysconfdir}/NetworkManager/VPN/nm-iodine-service.name
%endif

%changelog
* Fri Sep 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
